[<prev] [next>] [<thread-prev] [thread-next>] [day] [month] [year] [list]
Message-Id: <20230729093814.d48a7b4fb51fdd74ad50ba42@kernel.org>
Date: Sat, 29 Jul 2023 09:38:14 +0900
From: Masami Hiramatsu (Google) <mhiramat@...nel.org>
To: Georg Müller <georgmueller@....net>
Cc: Peter Zijlstra <peterz@...radead.org>,
Ingo Molnar <mingo@...hat.com>,
Arnaldo Carvalho de Melo <acme@...nel.org>,
Mark Rutland <mark.rutland@....com>,
Alexander Shishkin <alexander.shishkin@...ux.intel.com>,
Jiri Olsa <jolsa@...nel.org>,
Namhyung Kim <namhyung@...nel.org>,
Ian Rogers <irogers@...gle.com>,
Adrian Hunter <adrian.hunter@...el.com>,
Arnaldo Carvalho de Melo <acme@...hat.com>,
linux-perf-users@...r.kernel.org, linux-kernel@...r.kernel.org
Subject: Re: [PATCH] perf probe: skip test_uprobe_from_different_cu if there
is no gcc
On Fri, 28 Jul 2023 17:18:12 +0200
Georg Müller <georgmueller@....net> wrote:
> Without gcc, the test will fail.
>
> On cleanup, ignore probe removal errors. Otherwise, in case of an error
> adding the probe, the temporary directory is not removed.
Interesting, so clang will not generate DWARF or perf probe is not able to
handle clang generated DWARF?
Anyway, this looks good to me.
Reviewed-by: Masami Hiramatsu (Google) <mhiramat@...nel.org>
>
> Fixes: 56cbeacf1435 ("perf probe: Add test for regression introduced by switch to die_get_decl_file()")
> Signed-off-by: Georg Müller <georgmueller@....net>
> Link: https://lore.kernel.org/r/CAP-5=fUP6UuLgRty3t2=fQsQi3k4hDMz415vWdp1x88QMvZ8ug@mail.gmail.com/
> ---
> tools/perf/tests/shell/test_uprobe_from_different_cu.sh | 8 +++++++-
> 1 file changed, 7 insertions(+), 1 deletion(-)
>
> diff --git a/tools/perf/tests/shell/test_uprobe_from_different_cu.sh b/tools/perf/tests/shell/test_uprobe_from_different_cu.sh
> index 00d2e0e2e0c2..319f36ebb9a4 100755
> --- a/tools/perf/tests/shell/test_uprobe_from_different_cu.sh
> +++ b/tools/perf/tests/shell/test_uprobe_from_different_cu.sh
> @@ -4,6 +4,12 @@
>
> set -e
>
> +# skip if there's no gcc
> +if ! [ -x "$(command -v gcc)" ]; then
> + echo "failed: no gcc compiler"
> + exit 2
> +fi
> +
> temp_dir=$(mktemp -d /tmp/perf-uprobe-different-cu-sh.XXXXXXXXXX)
>
> cleanup()
> @@ -11,7 +17,7 @@ cleanup()
> trap - EXIT TERM INT
> if [[ "${temp_dir}" =~ ^/tmp/perf-uprobe-different-cu-sh.*$ ]]; then
> echo "--- Cleaning up ---"
> - perf probe -x ${temp_dir}/testfile -d foo
> + perf probe -x ${temp_dir}/testfile -d foo || true
> rm -f "${temp_dir}/"*
> rmdir "${temp_dir}"
> fi
> --
> 2.41.0
>
--
Masami Hiramatsu (Google) <mhiramat@...nel.org>
Powered by blists - more mailing lists